#include <iostream>
#include <algorithm>
#define MAX 10000000+14
int komsije[MAX];
using namespace std;
int main() {
  int n;
  int x;
  cin>>n;
  cin>>x;
  int a;
  int manji = 0;
  int veci = 0;
  int sekunde;
  for(int i =0; i<n;i++){
    cin>>a;
    komsije[i]=a;
  }
  int k = *max_element(komsije,komsije+n);
  int p = *min_element(komsije, komsije+n);
  for(int i = 0;i<n;i++){

    if(x<komsije[i]){
      manji = +1;
    }
    if(x>komsije[i]){
      veci=+1;
    }
  }
  if(manji == n){
    sekunde = k - x;
    cout<<sekunde;
  }
  if(veci == n){
    sekunde = x - p;
    cout<<sekunde;
  }
  if(abs(x-p)<abs(x-k)){
    sekunde = 2*(x-p) + (k-x);
    cout<<sekunde;
  }else{
    sekunde = 2*(k-x) + (x-p);
    cout<<sekunde;
  }


}